Bug 735862 - ntfs volumes do not work with truecrypt/realcrypt
Summary: ntfs volumes do not work with truecrypt/realcrypt
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ntfs-3g
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 19:02 UTC by Julian Sikorski
Modified: 2011-09-30 19:10 UTC (History)
1 user (show)

Fixed In Version: ntfs-3g-2011.4.12-5.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-20 23:55:38 UTC


Attachments (Terms of Use)
ntfs-3g.spec patch (2.14 KB, patch)
2011-09-05 19:02 UTC, Julian Sikorski
no flags Details | Diff

Description Julian Sikorski 2011-09-05 19:02:12 UTC
Created attachment 521538 [details]
ntfs-3g.spec patch

Description of problem:
There is a bug in ntfs-3g which prevents them from working with truecrypt properly. Mount point will not be shown and volumes will be impossible to dismount using the realcrypt GUI. More info:
* http://forums.truecrypt.org/viewtopic.php?p=91284
* https://bugs.archlinux.org/task/23184
Patch fixing the problem:
* http://ntfs-3g.git.sourceforge.net/git/gitweb.cgi?p=ntfs-3g/ntfs-3g_ntfsprogs;a=commit;h=571dbc5784af042c94ed0f025c4d2d842c591d1f

Version-Release number of selected component (if applicable):
ntfs-3g-2011.4.12-3.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1. create a truecrypt-encrypted ntfs volume
2. mount
3. try to dismount
  
Actual results:
unable to dismount, mount point not shown

Expected results:
dismount and mount points work as expected

Comment 1 Fedora Update System 2011-09-07 16:27:54 UTC
ntfs-3g-2011.4.12-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ntfs-3g-2011.4.12-4.fc15

Comment 2 Fedora Update System 2011-09-07 16:28:26 UTC
ntfs-3g-2011.4.12-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ntfs-3g-2011.4.12-4.el6

Comment 3 Fedora Update System 2011-09-07 16:28:55 UTC
ntfs-3g-2011.4.12-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ntfs-3g-2011.4.12-4.el5

Comment 4 Fedora Update System 2011-09-07 16:30:28 UTC
ntfs-3g-2011.4.12-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ntfs-3g-2011.4.12-4.fc16

Comment 5 Fedora Update System 2011-09-07 16:30:59 UTC
ntfs-3g-2011.4.12-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ntfs-3g-2011.4.12-4.fc14

Comment 6 Fedora Update System 2011-09-08 02:25:32 UTC
Package ntfs-3g-2011.4.12-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ntfs-3g-2011.4.12-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ntfs-3g-2011.4.12-4.fc16
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-09-12 17:42:14 UTC
ntfs-3g-2011.4.12-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ntfs-3g-2011.4.12-5.fc16

Comment 8 Fedora Update System 2011-09-12 17:42:45 UTC
ntfs-3g-2011.4.12-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ntfs-3g-2011.4.12-5.el5

Comment 9 Fedora Update System 2011-09-12 17:43:12 UTC
ntfs-3g-2011.4.12-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ntfs-3g-2011.4.12-5.fc14

Comment 10 Fedora Update System 2011-09-12 17:43:41 UTC
ntfs-3g-2011.4.12-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ntfs-3g-2011.4.12-5.el6

Comment 11 Fedora Update System 2011-09-12 17:44:13 UTC
ntfs-3g-2011.4.12-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ntfs-3g-2011.4.12-5.fc15

Comment 12 Fedora Update System 2011-09-20 23:55:07 UTC
ntfs-3g-2011.4.12-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-09-21 00:02:13 UTC
ntfs-3g-2011.4.12-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-09-27 18:29:04 UTC
ntfs-3g-2011.4.12-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-09-27 18:31:00 UTC
ntfs-3g-2011.4.12-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-09-30 19:09:48 UTC
ntfs-3g-2011.4.12-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.